# Autodeploy

A simple daemon that will download assets from Jenkins

## Installation

Install the daemon locally via gem:

    gem install autodeploy
    
Create a `config.yml`

## Usage

Run directly with:

    autodeploy
    
Run as a daemon with:

    autodeploy -d
    
## Config

You'll need to specify a config file in YAML.

```yaml
server_url: https://yourserver.com
username: some_username
password: some_password
job: my-job-name
download_dir: downloads
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
