# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'autodeploy/version'

Gem::Specification.new do |spec|
  spec.name          = "autodeploy"
  spec.version       = Autodeploy::VERSION
  spec.authors       = ["Bob Breznak", "Merk Greene"]
  spec.email         = ["bob@evertrue.com", "mark@evertrue.com"]
  spec.description   = %q{A simple daemon that checks and downloads assets from Jenkins}
  spec.summary       = %q{A simple daemon that checks and downloads assets from Jenkins}
  spec.homepage      = "https://github.com/evertrue/autodeploy"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"

  spec.add_dependency 'jenkins_api_client'
  spec.add_dependency 'dante'
  spec.add_dependency 'activerecord'
  spec.add_dependency 'mysql2'
end
